%define version 0.2
%define release 2

Name:           pdumpq
Version:        %{version}
Release:        %{release}
Packager:       William Stearns <wstearns@pobox.com>
URL:            http://rouxdoo.freeshell.org/dmn/pdumpq/
Source:         http://rouxdoo.freeshell.org/dmn/pdumpq/%{name}-%{version}-1.tgz
Patch:		pdumpq-0.2.update
Group:          System Environment/Daemons
Copyright:      GPL
Summary:        Pcap Dump for Linux/Netfilter QUEUE
Vendor:		Ian Jones <roux@speakeasy.org>
BuildRoot:	/tmp/pdumpq-broot

%description
Pcap Dump for Linux/Netfilter QUEUE
Pdumpq takes packets over the netlink device which have been sent by
Netfilter's QUEUE target and dumps them in Pcap format. This format is
compatible with various packet sniffers such as tcpdump, snort and ethereal.

%prep
%setup -n %{name}-%{version}-1
%patch0 -p1

%build
make

%install
if [ "$RPM_BUILD_ROOT" = "/tmp/pdumpq-broot" ]; then
 	rm -rf $RPM_BUILD_ROOT

	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
	mkdir -p $RPM_BUILD_ROOT/usr/sbin
	mkdir -p $RPM_BUILD_ROOT/usr/man/man8
	make DESTDIR=$RPM_BUILD_ROOT install
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi

%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/pdumpq-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi


%preun
/usr/sbin/pdumpq -k

%files
%defattr(-,root,root)
%attr(755,root,root)			/etc/rc.d/init.d/pdumpq
%attr(755,root,root)			/usr/sbin/pdumpq
%attr(644,root,root)			/usr/man/man8/pdumpq.8.gz
				%doc	BUGS COPYING README

%changelog
* Tue Feb 18 2003 William Stearns <wstearns@pobox.com>
- Repackaged rpm.  spec file changes.
